## almanah 0.12.0

=== meson_options.txt ===
option('evolution', type: 'feature', value: 'enabled', description: 'Enable Evolution calendar integration')
option('spell_checking', type: 'feature', value: 'enabled', description: 'Enable spell checking support')

## almanah 0.7.1

=== debian/changelog ===
almanah (0.7.1-1) unstable; urgency=low

  * New upstream release
  * Remove gpgme_1.2_compat patch, included in upstream
  * debian/watch: Update upstream tarballs url
  * debian/control: 
    - Update homepage
    - Add libdbus-glib-1-dev to Build-Depends
  * debian/copyright: 
    - Update source url
    - Update copyright years

 -- Angel Abad <angelabad@gmail.com>  Mon, 18 Jan 2010 13:21:48 +0100

almanah (0.6.1-4) unstable; urgency=low

  * debian/control:
    - Fix typo in description
    - Add VCS- fields
  * Update copyright file
  * Switch to dpkg-source format 3.0 (quilt)

 -- Angel Abad <angelabad@gmail.com>  Sun, 13 Dec 2009 21:26:58 +0100

almanah (0.6.1-3) unstable; urgency=low

  * Update my email address
  * debian/rules: 
    - Remove get-orig-source target
    - Add -D_FILE_OFFSET_BITS=64 for sh4 FTBFS (Closes: #552721)
  * debian/control: Set Standards-Version to 3.8.3 (no changes)
  * Add quilt support in debian/control and debian/rules
  * Add debian/README.source with quilt documentation
  * debian/patches
    - Add gpgme_1.2_compat for libgpgme11 1.2 version compat (Closes: #549559)

 -- Angel Abad <angelabad@gmail.com>  Fri, 30 Oct 2009 12:07:55 +0100

almanah (0.6.1-2) unstable; urgency=low

  * debian/control
    - Standards version 3.8.2 (no changes)
    - Build depends on debhelper (>= 7.0.50) for dh_override_ use
  * debian/rules: add get-orig-source target

 -- Angel Abad (Ikusnet SLL) <angel@grupoikusnet.com>  Sun, 02 Aug 2009 13:19:08 +0200

almanah (0.6.1-1) unstable; urgency=low

  * New upstream release (Closes: #494113, #494114, #494115, #533118)
  * debian/copyright: change to new proposal
  * debian/control:
    - Set Standards-Version to 3.8.1 (no changes)
    - Remove build dependency on autotools-dev and chrpath
  * Remove dpatch support
  * Remove pixmap manual install
  * debian/{control/compat/rules}: Move to dh7

 -- Angel Abad (Ikusnet SLL) <angel@grupoikusnet.com>  Tue, 16 Jun 2009 11:08:55 +0200

almanah (0.4.0-3) unstable; urgency=low

  * Add debian/watch
  * Add manpage
  * debian/rules: cosmetic changes
  * debian/rules: use dh_install for pixmap install
  * Almanah is now extra because it depends on libxcb-render-util0 extra
    package

 -- Angel Abad (Ikusnet SLL) <angel@grupoikusnet.com>  Thu, 07 Aug 2008 13:23:13 +0200

almanah (0.4.0-2) unstable; urgency=low

  * debian/copyright: Fixed long lines
  * debian/control: Recommends seahorse
  * debian/patches: Updated icon for about dialog

 -- Angel Abad (Ikusnet SLL) <angel@grupoikusnet.com>  Mon, 21 Jul 2008 12:29:54 +0200

almanah (0.4.0-1) unstable; urgency=low

  * Initial release (Closes: #490655)

 -- Angel Abad (Ikusnet SLL) <angel@grupoikusnet.com>  Sun, 13 Jul 2008 13:36:33 +0200

=== debian/control ===
Source: almanah
Section: gnome
Priority: extra 
Maintainer: Angel Abad <angelabad@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50), intltool (>= 0.35.0),
 libglib2.0-dev, libgtk2.0-dev (>= 2.14), libsqlite3-dev,
 libgconf2-dev, libecal1.2-dev, libedataserver1.2-dev, 
 libedataserverui1.2-dev, libgtkspell-dev, libcryptui-dev, libgpgme11-dev,
 libdbus-glib-1-dev
Standards-Version: 3.8.3
Vcs-Git: git://git.debian.org/git/collab-maint/almanah.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/almanah.git
Homepage: http://live.gnome.org/Almanah_Diary 

Package: almanah
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: seahorse
Description: Application to ease management of a personal diary
 Almanah is a small application to ease management of a personal diary.
 It has basic editing and linking abilities like:
 .
  - adding links to other content to diary entries
  - database encryption
  - search and printing support

## almanah 0.7.3

=== debian/changelog ===
almanah (0.7.3-1) unstable; urgency=low

  * New upstream release

 -- Angel Abad <angelabad@gmail.com>  Sun, 18 Apr 2010 23:54:35 +0200

almanah (0.7.2-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.8.4 (no changes)

 -- Angel Abad <angelabad@gmail.com>  Mon, 01 Feb 2010 11:27:23 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  libgconf2-dev, libecal1.2-dev, libedataserver1.2-dev, 
  libedataserverui1.2-dev, libgtkspell-dev, libcryptui-dev, libgpgme11-dev,
  libdbus-glib-1-dev
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Vcs-Git: git://git.debian.org/git/collab-maint/almanah.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/almanah.git
 Homepage: http://live.gnome.org/Almanah_Diary

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS += -D_FILE_OFFSET_BITS=64

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

=== debian/watch ===
version=3

http://ftp.gnome.org/pub/gnome/sources/almanah/([\d\.]+)/almanah-([\d\.]+)\.tar\.gz

## almanah 0.8.0

=== debian/changelog ===
almanah (0.8.0-4~exp1) experimental; urgency=low

  * debian/control:
    - Remove unused gtkspell build dependency (Closes: #626813)
    - Switch libcryptui-dev build depend to >= 3.0.0
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Angel Abad <angelabad@gmail.com>  Tue, 17 May 2011 15:58:48 +0200

almanah (0.8.0-2~exp1) experimental; urgency=low

  * Re-enable evolution support
  * Remove debian/patches/disable_am_gconf_source_2
    - Remove dh-autoreconf framework
  * debian/control: Add dconf-gsettings-backend to Depends

 -- Angel Abad <angelabad@gmail.com>  Mon, 18 Apr 2011 22:07:02 +0200

almanah (0.8.0-1) unstable; urgency=low

  * New upstream release
  * Temporarily remove evolution support in unstable
  * Disable AM_GCONF_SOURCE_2 macro to fix ftbfs in unstable
    - debian/patches/disable_am_gconf_source_2
    - Build-Depends on dh-autoreconf
    - Use --with autoreconf in rules
  * debian/control:
    - Build-Depends on libgtk-3-dev
  * debian/rules:
    - Remove unnecessary override_dh_auto_install
  * debian/copyright:
    - Update copyright years
    - Update license stanza
  * Bump Standards-Version to 3.9.1 (no changes)

 -- Angel Abad <angelabad@gmail.com>  Mon, 18 Apr 2011 16:21:36 +0200

=== debian/control ===
Source: almanah
Section: gnome
Priority: extra 
Maintainer: Angel Abad <angelabad@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50),
 intltool (>= 0.35.0),
 libglib2.0-dev,
 libgtk-3-dev,
 libsqlite3-dev,
 libgconf2-dev,
 libcryptui-dev (>= 3.0.0),
 libgpgme11-dev,
 libdbus-glib-1-dev,
 libecal1.2-dev,
 libedataserver1.2-dev,
 libedataserverui-3.0-dev
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/collab-maint/almanah.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/almanah.git
Homepage: http://live.gnome.org/Almanah_Diary 

Package: almanah
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 dconf-gsettings-backend
Recommends: seahorse
Description: Application to ease management of a personal diary
 Almanah is a small application to ease management of a personal diary.
 It has basic editing and linking abilities like:
 .
  - adding links to other content to diary entries
  - database encryption
  - search and printing support

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS += -D_FILE_OFFSET_BITS=64

%:
	dh $@

## almanah 0.9.0

=== debian/changelog ===
almanah (0.9.0-1ubuntu2) quantal; urgency=low

  * debian/control: Depends on evolution-common (LP: #1057754)

 -- Angel Abad <angelabad@ubuntu.com>  Sun, 30 Sep 2012 15:21:31 +0200

almanah (0.9.0-1ubuntu1) quantal; urgency=low

  * debian/patches/git_support_latest_eds.patch:
    - upstream patch to build with latest libecal/libedataserver

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 12 Sep 2012 16:17:19 +0200

almanah (0.9.0-1build1) quantal; urgency=low

  * Rebuild against new evolution-data-server libs

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 26 May 2012 17:58:15 +0530

almanah (0.9.0-1) unstable; urgency=low

  * debian/watch: Update for .xz
  * Imported Upstream version 0.9.0
  * debian/patches/01_largefile_support.patch: Remove, applied upstream
  * debian/patches/02_gtkspell-3.0.patch: Remove, applied upstream
  * Remove dh_autoreconf stuff
  * debian/copyright: Update upstream years

 -- Angel Abad <angel@debian.org>  Tue, 03 Apr 2012 14:25:25 +0200

almanah (0.8.0-7) unstable; urgency=low

  * debian/copyright: Update format to copyright-format 1.0
  * debian/docs: Remove README file
  * debian/rules: Remove override for spell checking (now by default)
  * debian/control: Use anonscm in Vcs-Browser
  * Bump Debhelper compat level to 9
  * Bump Standards-Version to 3.9.3

 -- Angel Abad <angel@debian.org>  Sun, 04 Mar 2012 12:18:22 +0100

almanah (0.8.0-6) unstable; urgency=low

  * debian/patches/02_gtkspell-3.0.patch:
    - Refresh with upstream patch

 -- Angel Abad <angel@debian.org>  Sun, 12 Feb 2012 21:08:27 +0100

almanah (0.8.0-5) unstable; urgency=low

  * Update my email address -> angel@debian.org
  * debian/control: Remove DM-Upload-Allowed
  * Re-enable spell checking support
    - debian/control: Build-Depends on libgtkspell-3-dev
    - debian/rules: Add --enable-spell-checking
    - debian/patches/02_gtkspell-3.0.patch: Add support for gtkspell-3.0
      in configure.ac
  * debian/copyright: Update debian/* years
  * debian/rules: Remove CFLAGS += -D_FILE_OFFSET_BITS=64

 -- Angel Abad <angel@debian.org>  Wed, 04 Jan 2012 16:17:37 +0100

almanah (0.8.0-4.1) unstable; urgency=low

  * Non-maintainer upload, for the evolution-data-server transition.
  * debian/patches/01_largefile_support.patch: Fix 32bit builds of
    Almanah by adding AC_SYS_LARGEFILE to configure.ac.
  * Build-Depend on dh-autoreconf and add --with autoreconf to dh call.

 -- Jordi Mallach <jordi@debian.org>  Fri, 23 Dec 2011 21:04:55 +0100

almanah (0.8.0-4) unstable; urgency=low

  * Upload to unstable
  * debian/control: Remove dconf-gsettings-backend from
    Depends, misc:Depends adds it
  * debian/copyright:
    - Fix typo
    - Update to latest DEP-5 specification

 -- Angel Abad <angelabad@gmail.com>  Wed, 14 Sep 2011 15:10:47 +0200

=== debian/control ===
Source: almanah
Section: gnome
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Angel Abad <angel@debian.org>
Build-Depends: debhelper (>= 9),
 intltool (>= 0.35.0),
 libglib2.0-dev,
 libgtk-3-dev,
 libsqlite3-dev,
 libgconf2-dev,
 libcryptui-dev (>= 3.0.0),
 libgpgme11-dev,
 libdbus-glib-1-dev,
 libecal1.2-dev,
 libedataserver1.2-dev,
 libedataserverui-3.0-dev,
 libgtkspell-3-dev
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/collab-maint/almanah.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/almanah.git
Homepage: http://live.gnome.org/Almanah_Diary

Package: almanah
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 evolution-common
Recommends: seahorse
Description: Application to ease management of a personal diary
 Almanah is a small application to ease management of a personal diary.
 It has basic editing and linking abilities like:
 .
  - adding links to other content to diary entries
  - database encryption
  - search and printing support

## almanah 0.9.1

=== debian/changelog ===
almanah (0.9.1-1) unstable; urgency=high

  * Imported Upstream version 0.9.1 (Closes: #702905)

 -- Angel Abad <angel@debian.org>  Tue, 12 Mar 2013 20:57:12 +0100

almanah (0.9.0-2) unstable; urgency=low

  * debian/rules: Disable compile silent rules
  * Use autotools-dev to update config.sub and config.guess
  * Bump Standards-Version to 3.9.4 (no changes)
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)

 -- Angel Abad <angel@debian.org>  Thu, 21 Feb 2013 13:30:12 +0100

=== debian/control ===
Source: almanah
Section: gnome
Priority: extra
Maintainer: Angel Abad <angel@debian.org>
Build-Depends: debhelper (>= 9),
 autotools-dev,
 intltool (>= 0.35.0),
 libglib2.0-dev,
 libgtk-3-dev,
 libsqlite3-dev,
 libgconf2-dev,
 libcryptui-dev (>= 3.0.0),
 libgpgme11-dev,
 libdbus-glib-1-dev,
 libecal1.2-dev,
 libedataserver1.2-dev,
 libedataserverui-3.0-dev,
 libgtkspell-3-dev
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/collab-maint/almanah.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/almanah.git
Homepage: http://live.gnome.org/Almanah_Diary

Package: almanah
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: seahorse
Description: Application to ease management of a personal diary
 Almanah is a small application to ease management of a personal diary.
 It has basic editing and linking abilities like:
 .
  - adding links to other content to diary entries
  - database encryption
  - search and printing support

## almanah 0.10.0

=== debian/changelog ===
almanah (0.10.0-1~exp1) experimental; urgency=low

  * Imported Upstream version 0.10.0
  * debian/control:
    - Bump evolution Build-Depends ( >=3.6.0)
    - debian/control: Depends on evolution-common (>= 3.6.0)
  * Bump Standards-Version to 3.9.4 (no changes)

 -- Angel Abad <angel@debian.org>  Mon, 29 Oct 2012 10:14:18 +0100

=== debian/control ===
Source: almanah
Section: gnome
Priority: extra
Maintainer: Angel Abad <angel@debian.org>
Build-Depends: debhelper (>= 9),
 intltool (>= 0.35.0),
 libglib2.0-dev,
 libgtk-3-dev,
 libsqlite3-dev,
 libgconf2-dev,
 libcryptui-dev (>= 3.0.0),
 libgpgme11-dev,
 libdbus-glib-1-dev,
 libecal1.2-dev (>= 3.6.0),
 libedataserver1.2-dev (>= 3.6.0),
 libedataserverui-3.0-dev (>= 3.6.0),
 libgtkspell-3-dev
Standards-Version: 3.9.4
Vcs-Git: git://git.debian.org/git/collab-maint/almanah.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/almanah.git
Homepage: http://live.gnome.org/Almanah_Diary

Package: almanah
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 evolution-common (>= 3.6.0)
Recommends: seahorse
Description: Application to ease management of a personal diary
 Almanah is a small application to ease management of a personal diary.
 It has basic editing and linking abilities like:
 .
  - adding links to other content to diary entries
  - database encryption
  - search and printing support

## almanah 0.10.1

=== debian/changelog ===
almanah (0.10.1-1) experimental; urgency=high

  * Imported Upstream version 0.10.1 (Closes: #702905)

 -- Angel Abad <angel@debian.org>  Tue, 12 Mar 2013 21:21:29 +0100

almanah (0.10.0-1~exp2) experimental; urgency=low

  * debian/rules: Disable compile silent rules
  * Use autotools-dev to update config.sub and config.guess
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)

 -- Angel Abad <angel@debian.org>  Thu, 21 Feb 2013 13:10:59 +0100

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: extra
 Maintainer: Angel Abad <angel@debian.org>
 Build-Depends: debhelper (>= 9),
+ autotools-dev,
  intltool (>= 0.35.0),
  libglib2.0-dev,
  libgtk-3-dev,
@@ -16,7 +17,7 @@
  libedataserverui-3.0-dev (>= 3.6.0),
  libgtkspell-3-dev
 Standards-Version: 3.9.4
-Vcs-Git: git://git.debian.org/git/collab-maint/almanah.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/almanah.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/almanah.git
 Homepage: http://live.gnome.org/Almanah_Diary

## almanah 0.10.8

=== debian/changelog ===
almanah (0.10.8-3) unstable; urgency=high

  * debian/patches/encrypt_database: Fix database encryption error.

 -- Angel Abad <angel@debian.org>  Sun, 22 Sep 2013 18:31:26 +0200

almanah (0.10.8-2) unstable; urgency=low

  * Upload to unstable (Closes: #722029)

 -- Angel Abad <angel@debian.org>  Fri, 20 Sep 2013 17:22:17 +0200

almanah (0.10.8-1) experimental; urgency=low

  * Imported Upstream version 0.10.8
  * debian/control:
    - Build-Depends on versioned libgtk-3-dev (>= 3.5.6)
    - Remove libedataserverui-3.0-dev from Build-Depends
    - Build-Depends on libgtkspell3-3-dev
  * debian/patches/desktop_keywords:
    - Add Keywords entry in .desktop file
  * debian/patches/spellchecking_error:
    - Fix spellchecking errors

 -- Angel Abad <angel@debian.org>  Tue, 14 May 2013 10:27:40 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  autotools-dev,
  intltool (>= 0.35.0),
  libglib2.0-dev,
- libgtk-3-dev,
+ libgtk-3-dev (>= 3.5.6),
  libsqlite3-dev,
  libgconf2-dev,
  libcryptui-dev (>= 3.0.0),
@@ -14,8 +14,7 @@
  libdbus-glib-1-dev,
  libecal1.2-dev (>= 3.6.0),
  libedataserver1.2-dev (>= 3.6.0),
- libedataserverui-3.0-dev (>= 3.6.0),
- libgtkspell-3-dev
+ libgtkspell3-3-dev
 Standards-Version: 3.9.4
 Vcs-Git: git://anonscm.debian.org/collab-maint/almanah.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/almanah.git

## almanah 0.11.0

=== debian/changelog ===
almanah (0.11.0-1) unstable; urgency=low

  * Imported Upstream version 0.11.0
  * debian/control: Update Homepage field.
  * debian/patches/:
    - encrypt_database: Removed, applied upstream
    - spellchecking_error: Removed, applied upstream
    - desktop_keywords: Removed, applied upstream
  * Bump Standards-Version to 3.9.5 (no changes).

 -- Angel Abad <angel@debian.org>  Mon, 02 Dec 2013 13:21:08 +0100

=== debian/control ===
--- 
+++ 
@@ -15,10 +15,10 @@
  libecal1.2-dev (>= 3.6.0),
  libedataserver1.2-dev (>= 3.6.0),
  libgtkspell3-3-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/collab-maint/almanah.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/almanah.git
-Homepage: http://live.gnome.org/Almanah_Diary
+Homepage: http://wiki.gnome.org/Apps/Almanah_Diary
 
 Package: almanah
 Architecture: any

=== debian/watch ===
version=3

http://ftp.gnome.org/pub/gnome/sources/almanah/([\d\.]+)/almanah-([\d\.]+)\.tar\.xz

## almanah 0.11.1

=== debian/changelog ===
almanah (0.11.1-3) unstable; urgency=medium

  * Upload to unstable (Closes: #933668)

 -- Angel Abad <angel@debian.org>  Mon, 30 Sep 2019 16:54:45 +0200

almanah (0.11.1-2.1) experimental; urgency=medium

  * Non-maintainer upload.
  * events-Removed-Evolution-runtime-dependency.patch,
    trivial-Fixed-indentation.patch,
    event-factories-Port-to-libecal-2.0.patch,
    data-Updated-the-AppData-format.patch,
    Update-the-AppData-file-to-version-0.7.patch,
    Add-a-missing-tag-to-the-AppData-file.patch,
    libecal-2.0:
    Backport a load of patches from upstream to enable building against
    libecal-2.0.

 -- Iain Lane <laney@debian.org>  Thu, 01 Aug 2019 17:21:20 +0100

almanah (0.11.1-2) unstable; urgency=medium

  * Increase Priority to optional. Priority: extra is deprecated
  * debian/control:
    - Remove libgconf2-dev from Build-Depends (Closes: #885819)
    - Remove libdbus-glib-1-dev from Build-Depends
  * Use HTTPS URIs

 -- Angel Abad <angel@debian.org>  Mon, 26 Mar 2018 18:21:29 +0200

almanah (0.11.1-1) unstable; urgency=medium

  * Imported Upstream version 0.11.1
    (Closes: #745257) (LP: #1372074)
  * debian/copyright: Update years and owners
  * Declare compliance with Debian Policy 3.9.6
  * Update Vcs-Browser URL to cgit web frontend

 -- Angel Abad <angel@debian.org>  Thu, 25 Sep 2014 10:57:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,23 @@
 Source: almanah
 Section: gnome
-Priority: extra
+Priority: optional
 Maintainer: Angel Abad <angel@debian.org>
-Build-Depends: debhelper (>= 9),
- autotools-dev,
+Build-Depends: appstream-util,
+ debhelper (>= 9),
+ dh-autoreconf,
+ gnome-common,
  intltool (>= 0.35.0),
  libglib2.0-dev,
  libgtk-3-dev (>= 3.5.6),
  libsqlite3-dev,
- libgconf2-dev,
  libcryptui-dev (>= 3.0.0),
  libgpgme11-dev,
- libdbus-glib-1-dev,
- libecal1.2-dev (>= 3.6.0),
+ libecal2.0-dev,
  libedataserver1.2-dev (>= 3.6.0),
  libgtkspell3-3-dev
-Standards-Version: 3.9.5
-Vcs-Git: git://anonscm.debian.org/collab-maint/almanah.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/almanah.git
+Standards-Version: 3.9.6
+Vcs-Browser: https://salsa.debian.org/debian/almanah
+Vcs-Git: https://salsa.debian.org/debian/almanah.git
 Homepage: http://wiki.gnome.org/Apps/Almanah_Diary
 
 Package: almanah

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	dh_autoreconf $(CURDIR)/autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- --disable-silent-rules

## almanah 0.12.0

=== debian/changelog ===
almanah (0.12.0-2) unstable; urgency=medium

  * Upload to unstable
  * debian/control:
    - Remove evolution-common depends
    - Remove seahorse recommends, not needed

 -- Angel Abad <angel@debian.org>  Sun, 13 Oct 2019 10:03:49 +0200

almanah (0.12.0-1) experimental; urgency=medium

  * New upstream version 0.12.0
  * debian/patches:
    - event-factories-Port-to-libecal-2.0.patch: Remove, applied upstream
    - events-Removed-Evolution-runtime-dependency.patch: Remove,
      applied upstream
    - fix-appdata-file.patch: Remove, applied upstream
    - trivial-Fixed-indentation.patch: Remove, applied upstream
    - libecal-2.0: Remove, applied upstream
    - fix_typos: Fix typos in source code
    - fix_unknown_gpgme_version: Fix gpgme check on debian
  * debian/control:
    - Remove gnome-common and intltool from B-D (Closes: 829958)
    - Build depends on meson
    - Unversion some build depends
    - Add libgtksourceview-3.0-dev to build depends
    - Add libgcr-3-dev to build depends
    - Add desktop-file-utils to build depends
  * debian/rules: Remove autoreconf overridden rules

 -- Angel Abad <angel@debian.org>  Sat, 12 Oct 2019 11:45:24 +0200

almanah (0.11.1-5) unstable; urgency=medium

  * Upload to unstable
  * debian/rules: harden almanah binary

 -- Angel Abad <angel@debian.org>  Tue, 08 Oct 2019 09:38:11 +0200

almanah (0.11.1-4) experimental; urgency=medium

  * Configure only once, fix cross build error.
    Thanks to Helmut Grohne (Closes: #941512)
  * debian/patches/fix-appdata-file.patch:
    Fix errors and merge all appdata patches
  * debian/patches/events-Removed-Evolution-runtime-dependency.patch:
    Refresh patch.
  * Use debhelper-compat instead of debian/compat
  * debian/control: Add Rules-Requires-Root: no
  * Add debian/upstream/metadata
  * Bump Standards-Version to 4.4.1 (no changes)
  * debian/control: Remove dh-autoreconf from Build-Depends

 -- Angel Abad <angel@debian.org>  Mon, 07 Oct 2019 12:01:25 +0200

=== debian/control ===
Source: almanah
Section: gnome
Priority: optional
Maintainer: Angel Abad <angel@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 meson,
 libglib2.0-dev,
 libgtk-3-dev,
 libsqlite3-dev,
 libcryptui-dev,
 libgpgme11-dev,
 libecal2.0-dev,
 libedataserver1.2-dev,
 libgtkspell3-3-dev,
 libgtksourceview-3.0-dev,
 libgcr-3-dev,
 appstream-util,
 desktop-file-utils
Rules-Requires-Root: no
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/debian/almanah
Vcs-Git: https://salsa.debian.org/debian/almanah.git
Homepage: http://wiki.gnome.org/Apps/Almanah_Diary

Package: almanah
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: Application to ease management of a personal diary
 Almanah is a small application to ease management of a personal diary.
 It has basic editing and linking abilities like:
 .
  - adding links to other content to diary entries
  - database encryption
  - search and printing support

## almanah 0.12.2

=== debian/changelog ===
almanah (0.12.2-2build1) hirsute; urgency=medium

  * Rebuild with the new libedataserver soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 26 Feb 2021 08:11:16 +0100

almanah (0.12.2-2) unstable; urgency=medium

  * debian/source/lintian-overrides: Override maintainer-manual-page
  * debian/tests: Add autopkgtest unit tests

 -- Angel Abad <angel@debian.org>  Tue, 15 Sep 2020 19:21:35 +0200

almanah (0.12.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.

  [ Angel Abad ]
  * Add salsa ci configuration
  * New upstream version 0.12.2
  * debian/patches/fix_unknown_gpgme_version: Remove, unused patch
  * debian/patches/fix_typos: Removed, applied upstream
  * Bump debhelper-compat to 13
  * Bump standards version to 4.5.0 (no changes required)

 -- Angel Abad <angel@debian.org>  Wed, 09 Sep 2020 15:36:07 +0200

## almanah 0.12.3

=== debian/changelog ===
almanah (0.12.3-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:09:26 +1100

almanah (0.12.3-2build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 03:47:41 +0000

almanah (0.12.3-2build1) kinetic; urgency=medium

  * No-change rebuild against latest evolution-data-server

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 25 Aug 2022 17:07:59 -0400

almanah (0.12.3-2) unstable; urgency=medium

  * debian/patches/fix-meson-061: Add patch to fix FTBFS with Meson 0.61
    (Closes: #1005616)

 -- Angel Abad <angel@debian.org>  Wed, 02 Mar 2022 12:34:56 +0100

almanah (0.12.3-1) unstable; urgency=medium

  * debian/salsa-ci.yml: Fix salsa ci configuration
  * New upstream version 0.12.3

 -- Angel Abad <angel@debian.org>  Sat, 05 Jun 2021 18:39:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: almanah
 Section: gnome
 Priority: optional
-Maintainer: Angel Abad <angel@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Angel Abad <angel@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  meson,
  libglib2.0-dev,
  libgtk-3-dev,
@@ -18,10 +19,10 @@
  appstream-util,
  desktop-file-utils
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/almanah
 Vcs-Git: https://salsa.debian.org/debian/almanah.git
-Homepage: http://wiki.gnome.org/Apps/Almanah_Diary
+Homepage: https://wiki.gnome.org/Apps/Almanah_Diary
 
 Package: almanah
 Architecture: any

## almanah 0.12.4

=== meson_options.txt ===
option('evolution', type: 'feature', value: 'enabled', description: 'Enable Evolution calendar integration')
option('spell_checking', type: 'feature', value: 'enabled', description: 'Enable spell checking support')
option('gcr3', type: 'boolean', value: false, description: 'Build with gcr3; if false, builds with gcr4')

=== debian/changelog ===
almanah (0.12.4-2) unstable; urgency=medium

  * debian/upstream/metadata: Update Bug-* urls.
  * debian/tests: Remove unuseful autopkgtests (Closes: #1102890)

 -- Angel Abad <angel@debian.org>  Fri, 29 Aug 2025 11:54:52 +0200

almanah (0.12.4-1) unstable; urgency=medium

  * New upstream version 0.12.4 (Closes: #1092727).
  * Bump Standards-Version to 4.7.2 no changes.
  * debian/docs: Remove file, NEWS is no longer provided.
  * debian/patches/fix-meson-061.patch: Remove patch, applied upstream.
  * debian/watch: Update version file to 4.
  * debian/source/lintian-overrides: Update maintainer-manual-page
    override.
  * debian/copyright: Update upstream and debian years.
  * debian/control: Update Build-Depends libgtksourceview-4-dev and
    libgcr-4-dev. (Closes: #1079405).
  * Set upstream metadata fields: Bug-Submit.

 -- Angel Abad <angel@debian.org>  Sat, 12 Apr 2025 19:43:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: almanah
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Angel Abad <angel@debian.org>
+Maintainer: Angel Abad <angel@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  meson,
@@ -14,12 +13,12 @@
  libecal2.0-dev,
  libedataserver1.2-dev,
  libgtkspell3-3-dev,
- libgtksourceview-3.0-dev,
- libgcr-3-dev,
+ libgtksourceview-4-dev,
+ libgcr-4-dev,
  appstream-util,
  desktop-file-utils
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/almanah
 Vcs-Git: https://salsa.debian.org/debian/almanah.git
 Homepage: https://wiki.gnome.org/Apps/Almanah_Diary

=== debian/watch ===
version=4

https://ftp.gnome.org/pub/gnome/sources/almanah/([\d\.]+)/almanah-([\d\.]+)\.tar\.xz
